#
# spec file for package kccc (Version 0.91)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gpp klibs ksupp libgpp libjpeg libpng libtiff libz qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kccc
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      CD-Cover creator
Version:      0.91
Release:      43
Source0:      kccc-%{version}.tar.bz2
Patch0:       kccc-%{version}.dif

%description
Kccc is a KDE-Application which creates cd-rom covers for data-cds in LaTeX-Format or as a postscript-file.

SuSE series: kde

%prep
%setup
%patch

%build
%{?suse_update_config:%{suse_update_config -f . }}
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib
touch ./po/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
touch ./kccc/Makefile.in --reference=./aclocal.m4
touch ./kccc/docs/en/Makefile.in --reference=./aclocal.m4
touch ./kccc/docs/Makefile.in --reference=./aclocal.m4
echo timestamp > ./stamp-h.in
make

%install
make install

%files
%doc COPYING AUTHORS ChangeLog INSTALL TODO 
%docdir /opt/kde/share/doc
%dir /opt/kde/share/doc/HTML/en/kccc
/opt/kde/bin/kccc
/opt/kde/share/applnk/Applications/kccc.kdelnk
/opt/kde/share/doc/HTML/en/kccc/index-1.html
/opt/kde/share/doc/HTML/en/kccc/index-2.html
/opt/kde/share/doc/HTML/en/kccc/index-3.html
/opt/kde/share/doc/HTML/en/kccc/index-4.html
/opt/kde/share/doc/HTML/en/kccc/index-5.html
/opt/kde/share/doc/HTML/en/kccc/index-6.html
/opt/kde/share/doc/HTML/en/kccc/index.html
/opt/kde/share/doc/HTML/en/kccc/logotp3.png
/opt/kde/share/icons/kccc-psview.xpm
/opt/kde/share/icons/kccc-ps.xpm
/opt/kde/share/icons/kccc.xpm
/opt/kde/share/icons/mini/kccc.xpm
/opt/kde/share/icons/wizard.xpm
#/opt/kde/share/locale/de/LC_MESSAGES/kccc.mo

%changelog -n kccc
* Tue Aug 14 2001 - ro@suse.de
- up to 0.91
- no reconf to build
* Sat Sep 16 2000 - adrian@suse.de
- fix the dif
* Fri Sep 15 2000 - adrian@suse.de
- compile fix for axp
  recompress with bzip2
* Wed Aug 23 2000 - uli@suse.de
- patched away unnecessary abuse of vsprintf that breaks some
  architectures
* Mon Jun 05 2000 - adrian@suse.de
- Spec file created from kccc-0.9.tar.gz by autospec
